<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_vector3_d.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">framework::core::Vector3D Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a0db1d5dcdeb33260ee5f9ad20d1e8eac">GetNorm</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#aaf3965f4352fe2e6454a3c0597cbe2ec">Normalize</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator+=</b>(const Vector3D &amp;vector) (defined in <a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator-=</b>(const Vector3D &amp;vector) (defined in <a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(const Vector3D &amp;vector) (defined in <a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator[]</b>(size_t idx) (defined in <a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator[]</b>(size_t idx) const  (defined in <a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a03483b0253338c9b2fedba69a353c88c">Rotate</a>(const RotationMatrix &amp;matrix)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#aa22e5d0d6f279148642bdd6e90608bad">Rotate</a>(const Quaternion &amp;quaternion)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a33e260779cc00eddc9c60555299b481f">RotateX</a>(float value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a6d17007ea3e5277d2e93052e79d7855a">RotateXDeg</a>(float value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#ab979d0250e1c5d97dff4e33daab08f04">RotateY</a>(float value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a77f244217deb50de450444b984eabb48">RotateYDeg</a>(float value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a9fe27062b8db045e2163a8193970c75f">RotateZ</a>(float value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a6f1f24be85e9a19b20f769f75caf687b">RotateZDeg</a>(float value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a2b44edb28e8757cebc90107999f1b6f5">Saturate</a>(const Vector3D &amp;min, const Vector3D &amp;max)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#afc84772470cf40f0831f69dfd07fbd61">Saturate</a>(float min, float max)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a8725cca375d1fd28908e3320041e175e">Saturate</a>(const Vector3D &amp;value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a6ed597a9c4c4dc7cecb79fe619e659b1">Saturate</a>(float value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a74ed38384bdcd5b27f430ce2fa5591cf">To2Dxy</a>(Vector2D &amp;vector) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a363128dceaf3103ddb081ca81619bf4b">To2Dxy</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#ab4dd9e802c4bb935353579d913f2c70d">Vector3D</a>(float x=0, float y=0, float z=0)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a4d3eb88d51b2ff4000fc93d1eb0a6f85">x</a></td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a8b789cacf473b8ab1cde9a2a659ee9ab">y</a></td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a003581dbd5bbf18e0a3dc5f31eba7f2a">z</a></td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#af14f36cbaf16bcef2642119d820a60b4">~Vector3D</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
